import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:functions/src/core/providers/functions_repository_provider.dart';
import 'package:functions/src/features/activity_meter/domain/set_pedometer_use_case.dart';
import 'package:functions/src/features/activity_meter/domain/set_pedometer_use_case_impl.dart';

final setPedometerUseCaseProvider = Provider.autoDispose<SetPedometerUseCase>((ref) {
  final functionsRepository = ref.read(functionsRepositoryProvider);
  return SetPedometerUseCaseImpl(functionsRepository);
});
